Subject: Location of 'key expiration time' signature subpacket

From: Edwin Woudt <[email-masked]>
Date: Tue, 15 Jul 2003 13:37:34 -0400

While implementing key expiration, I noticed that the 'key expiration time' 
signature subpacket (#9) is put in self certification signatures instead of 
in (self signed) direct key signature.

Why is that?

I find it more logical to put it in a direct key signature, as it says 
nothing about the user id that is self signed. In fact, given multiple user 
id's, putting it in self certification signatures could even result in 
conflicting information.

Edwin